// AddMIMETypeDlg.cpp : implementation file
//

#include "stdafx.h"
#include "wmsoapsvccp.h"
#include "AddMIMETypeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddMIMETypeDlg dialog


CAddMIMETypeDlg::CAddMIMETypeDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAddMIMETypeDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAddMIMETypeDlg)
	m_strExtension = _T("");
	m_strMIMEType = _T("");
	//}}AFX_DATA_INIT
}


void CAddMIMETypeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddMIMETypeDlg)
	DDX_Text(pDX, IDC_EDIT_MIMETYPE_EXT, m_strExtension);
	DDX_Text(pDX, IDC_EDIT_MIMETYPE_TYPE, m_strMIMEType);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddMIMETypeDlg, CDialog)
	//{{AFX_MSG_MAP(CAddMIMETypeDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddMIMETypeDlg message handlers

void CAddMIMETypeDlg::OnOK() 
{
	// force extension to uppercase
	UpdateData(TRUE);
	m_strExtension.MakeUpper();
	UpdateData(FALSE);
	
	CDialog::OnOK();
}
